declare namespace ApiBackground {
  interface BasicCowField {
    /** 字段名 */
    label: string | null;
    value: string | null;
  }

  interface BasicSelectValue {
    /** 字段名 */
    label: string | null;
    value: number | null;
  }
}

declare namespace RowField {
  interface Data {
    is_required: number;
    field_id: number;
    field_name: string;
    column_name: string;
    data_source: number;
    is_list: number;
    is_details: number;
    show_line: number;
  }
}
declare namespace EventSelectBox {
  interface Data {
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    cowFieldData: any | undefined;
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    isRequired: any | undefined;
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    dataSource: any | undefined;
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    isList: any | undefined;
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    isDetails: any | undefined;
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    showLine: any | undefined;
  }
}

declare namespace RowIndicators {
  interface Data {
    event_id: number;
    event_name: string;
    trigger_operation: number;
    is_cumulative: number;
    impact_mode: number;
    impact_value: string;
    start_time: number;
  }
}

declare namespace IndicatorsSelectBox {
  interface Data {
    cowEventData: ApiBackground.BasicCowField[] | null;
    eventId: number;
    eventName: string;
    triggerOperation: ApiBackground.BasicSelectValue[] | null;
    isCumulative: ApiBackground.BasicSelectValue[] | null;
    impactMode: ApiBackground.BasicSelectValue[] | null;
    impactValue: number;
    startTime: ApiBackground.BasicSelectValue[] | null;
  }
}

declare namespace RowSettingEvent {
  interface Data {
    event_name: string;
    field_name: string;
    impact_mode: number;
    impact_value: string;
    where_type: number;
    condition: [];
  }
}
